#!/usr/bin/env python
# -*- coding: latin-1 -*-

# Imports
from numarray import asarray, array

class PlayerState:
	""" Class that represents the state of a player """
	def __init__(self, pos=(0,0), vel=0, acc=0, time=0, angle=0):
		self.pos = asarray(pos)
		self.vel = asarray(vel)
		self.acc = asarray(acc)
		self.time = time
		self.angle = asarray(angle)

	def getPosition(self):
		""" Get the actual position """
		return self.pos

	def setPosition(self, pos):
		""" Set the actual position """
		self.pos = asarray(pos)

	def getXPosition(self):
		""" Get the actual x-coordinate """
		return self.pos[0]

	def getYPosition(self):
		""" Get the actual y-coordinate """
		return self.pos[1]


	def getVelocity(self):
		""" Get the velocity of an object """
		return self.vel

	def setVelocity(self, vel):
		""" Set the velocity of an object """
		self.vel = asarray(vel)
		

	def getAcceleration(self):
		""" Get the acceleration of an object """
		return self.acc

	def setAcceleration(self, acc):
		""" Set the acceleration of an object """
		self.acc = asarray(acc)


	def getTime(self):
		""" Get the time of an object """
		return self.time

	def setTime(self, time):
		""" Set the time of an object """
		self.time = asarray(time)

	
	def getAngle(self):
		""" Get the angle of an object """
		return self.angle

	def setAngle(self, angle):
		""" Set the angle of an object """
		self.angle = asarray(angle)

	def debugPS(self):
		""" Debug method """
		print self.pos, self.vel, self.acc, self.time, self.angle

